using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.IO;

/// <summary>
/// Summary description for LogWriter
/// this class opens a log file and writes logging information to it
/// </summary>
public class LogWriter
{
    private StreamWriter _writer;

	public LogWriter(string logFile)
	{
        _writer = File.CreateText(logFile);
	}

    public void WriteLine(string logLine)
    {
        _writer.WriteLine(logLine);
    }

    public void CloseWriter()
    {
        _writer.Close();
    }
}
